## kmousetool 18.04.1

=== debian/changelog ===
kmousetool (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Bump debhelper build-dep and compat to 11.
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Add signing-key for check upstream tarballs.
  * update copyright file for new upstream.
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 May 2018 01:09:57 +0200

kmousetool (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874957)
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, and kdelibs5-dev
    - add extra-cmake-modules, libkf5dbusaddons-dev, libkf5doctools-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5notifications-dev,
      libkf5xmlgui-dev, libphonon4qt5-dev, libphonon4qt5experimental-dev, and
      qtbase5-dev
  * Use the right dhmk helper.
  * Add kde-l10n breaks/replaces.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:22:50 +0100

## kmousetool 18.04.1.1+rb2

=== debian/changelog ===
kmousetool (4:18.04.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 11:15:50 +0800

## kmousetool 18.04.3

=== debian/changelog ===
kmousetool (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:11 +0100

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5doctools-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               libphonon4qt5-dev,
               libxt-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.3.0),
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool

Package: kmousetool
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

## kmousetool 18.12.3

=== debian/changelog ===
kmousetool (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:23 +0000

kmousetool (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:17:38 +0000

kmousetool (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:02 +0000

kmousetool (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:21 +0000

kmousetool (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/control: Kubuntu Vcs fields.
    - d/upstream/metadata: Update KDE Vcs urls to current cgit.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 23:31:11 +0000

## kmousetool 19.04.3

=== debian/changelog ===
kmousetool (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:00 +0100

kmousetool (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:08:33 +0100

kmousetool (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:59:44 +0100

kmousetool (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:45:18 +0100

## kmousetool 19.12.3

=== CMakeLists.txt ===
project(kmousetool)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.46.0")


find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package (KF5 ${KF5_MIN_VERSION} REQUIRED
    DBusAddons
    DocTools
    I18n
    IconThemes
    Notifications
    XmlGui
    WindowSystem
)

find_package(Phonon4Qt5 REQUIRED NO_MODULE)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

find_package(X11 REQUIRED)
if(NOT X11_Xt_FOUND)
    message(FATAL_ERROR "Cannot find X11 Xt component (libxt header file X11/Intrinsic.h)")
endif(NOT X11_Xt_FOUND)
if(NOT X11_XTest_FOUND)
    message(FATAL_ERROR "Cannot find X11 XTest component (libxcb-xtest header file X11/extensions/XTest.h)")
endif(NOT X11_XTest_FOUND)

add_subdirectory( doc )
add_subdirectory( kmousetool )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== doc/CMakeLists.txt ===
########### install files ###############

#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmousetool)
kdoctools_create_manpage(man-kmousetool.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== debian/changelog ===
kmousetool (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:11:42 +0000

kmousetool (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:21:50 +0000

kmousetool (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:55:58 +0000

kmousetool (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:49:37 +0000

kmousetool (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:34:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,24 @@
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5doctools-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5notifications-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+           Maximiliano Curia <maxy@debian.org>,
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper (>= 11),
+               extra-cmake-modules (>= 1.3.0~),
+               libkf5dbusaddons-dev,
+               libkf5doctools-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5notifications-dev,
+               libkf5xmlgui-dev,
                libphonon4qt5-dev,
+               libphonon4qt5experimental-dev,
+               libx11-dev,
                libxt-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.3.0),
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.3.0~),
+Standards-Version: 4.1.4
 Homepage: http://www.kde.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool

## kmousetool 20.08.1

=== debian/changelog ===
kmousetool (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:56:06 +0100

kmousetool (4:20.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Improve project homepage URL.

  [ Pino Toscano ]
  * New upstream release.
  * Remove commented variables in rules.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 11:20:07 +0200

kmousetool (4:20.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch watch URL to the new KDE release service URL.
  * Borrow minimal upstream signing key from K3b.
  * New upstream release (20.04.2).
  * Refresh copyright information.
  * Update build dependencies following the upstream build system:
    - bump Qt to >= 5.9
    - bump KDE Frameworks to >= 5.46
    - switch extra cmake modules version to match frameworks
    - add libkf5windowsystem-dev
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Drop migration rules for kde-l10n and dbgsym migrations, not required
    anymore after 2 stable releases.
  * Switch from debian/compat to the debhelper-compat build dependency.
  * Bump debhelper compatibility level to 13.
  * Build with hardening=+all build hardening flag.
  * Bump Standards-Version to 4.5.0:
    - add Rules-Requires-Root: no
  * Update upstream metadata:
    - drop deprecated Name field
    - add Bug-* URLs
    - switch source repository URLs from deprecated cgit to KDE Invent GitLab
      platform
  * Update project homepage URL to KDE applications website.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Jun 2020 11:37:08 +0200

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.46.0~),
               libkf5dbusaddons-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5iconthemes-dev (>= 5.46.0~),
               libkf5notifications-dev (>= 5.46.0~),
               libkf5windowsystem-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libx11-dev,
               libxt-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/utilities/org.kde.kmousetool
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git
Rules-Requires-Root: no

Package: kmousetool
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

## kmousetool 20.12.0

=== kmousetool/CMakeLists.txt ===

add_subdirectory( pics ) 




########### next target ###############

include_directories(${X11_INCLUDE_DIR})

set(kmousetool_SRCS mtstroke.cpp kmousetool.cpp main.cpp )

ki18n_wrap_ui(kmousetool_SRCS kmousetoolui.ui )

add_executable(kmousetool ${kmousetool_SRCS})

target_link_libraries(kmousetool
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Phonon::phonon4qt5
  KF5::DBusAddons
  KF5::I18n
  KF5::IconThemes
  KF5::Notifications
  KF5::WindowSystem
  KF5::XmlGui
  ${X11_XTest_LIB}
  ${X11_Xext_LIB}
  ${X11_LIBRARIES})

install(TARGETS kmousetool  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kmousetool.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES mousetool_tap.wav  DESTINATION  ${DATA_INSTALL_DIR}/kmousetool/sounds )
install(FILES org.kde.kmousetool.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

=== debian/changelog ===
kmousetool (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, Maximiliano Curia, Modestas Vainius from the
    uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 14:05:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Eshat Cakar <info@eshat.de>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.46.0~),
@@ -24,8 +22,8 @@
                libxtst-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.5.0
-Homepage: https://kde.org/applications/utilities/org.kde.kmousetool
+Standards-Version: 4.5.1
+Homepage: https://apps.kde.org/en/kmousetool
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git
 Rules-Requires-Root: no

## kmousetool 20.12.3

=== debian/changelog ===
kmousetool (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:22:53 +0000

kmousetool (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:56:34 +0000

kmousetool (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:11:45 +0000

## kmousetool 21.08.0

=== debian/changelog ===
kmousetool (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:18:56 +0900

kmousetool (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:24:13 +0900

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5notifications-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libx11-dev,
               libxt-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/kmousetool
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git
Rules-Requires-Root: no

Package: kmousetool
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

## kmousetool 21.08.1

=== debian/changelog ===
kmousetool (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:35:47 +0100

kmousetool (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:04:44 +0100

kmousetool (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:58:26 +0100

kmousetool (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:35:26 +0100

kmousetool (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:45:52 +0100

kmousetool (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:42:36 +0100

kmousetool (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:09:09 +0100

kmousetool (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:39:11 +0100

## kmousetool 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kmousetool VERSION "${RELEASE_SERVICE_VERSION}")

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.85.0")

find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(CheckIncludeFiles)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package (KF5 ${KF5_MIN_VERSION} REQUIRED
    DBusAddons
    DocTools
    I18n
    IconThemes
    Notifications
    XmlGui
    WindowSystem
)

find_package(Phonon4Qt5 REQUIRED NO_MODULE)

find_package(X11 REQUIRED)
if(NOT X11_Xt_FOUND)
    message(FATAL_ERROR "Cannot find X11 Xt component (libxt header file X11/Intrinsic.h)")
endif(NOT X11_Xt_FOUND)
if(NOT X11_XTest_FOUND)
    message(FATAL_ERROR "Cannot find X11 XTest component (libxcb-xtest header file X11/extensions/XTest.h)")
endif(NOT X11_XTest_FOUND)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory( doc )
add_subdirectory( kmousetool )
ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kmousetool/CMakeLists.txt ===

add_subdirectory( pics ) 

add_executable(kmousetool)

target_include_directories(kmousetool PRIVATE ${X11_INCLUDE_DIR})

target_sources(kmousetool PRIVATE
    mtstroke.cpp
    kmousetool.cpp
    main.cpp
)

ki18n_wrap_ui(kmousetool kmousetoolui.ui)

target_compile_definitions(kmousetool PRIVATE -DKMOUSETOOL_VERSION="${kmousetool_VERSION}")
target_link_libraries(kmousetool
    KF5::DBusAddons
    KF5::I18n
    KF5::IconThemes
    KF5::Notifications
    KF5::WindowSystem
    KF5::XmlGui
    Qt::Widgets
    Qt::Gui
    Qt::Core
    Phonon::phonon4qt5
    ${X11_XTest_LIB}
    ${X11_Xext_LIB}
    ${X11_LIBRARIES}
)

install(TARGETS kmousetool  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS org.kde.kmousetool.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES mousetool_tap.wav  DESTINATION  ${KDE_INSTALL_DATADIR}/kmousetool/sounds )
install(FILES org.kde.kmousetool.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kmousetool (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 23:06:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
-               libkf5dbusaddons-dev (>= 5.83.0~),
-               libkf5doctools-dev (>= 5.83.0~),
-               libkf5i18n-dev (>= 5.83.0~),
-               libkf5iconthemes-dev (>= 5.83.0~),
-               libkf5notifications-dev (>= 5.83.0~),
-               libkf5windowsystem-dev (>= 5.83.0~),
-               libkf5xmlgui-dev (>= 5.83.0~),
+               extra-cmake-modules (>= 5.85.0~),
+               libkf5dbusaddons-dev (>= 5.85.0~),
+               libkf5doctools-dev (>= 5.85.0~),
+               libkf5i18n-dev (>= 5.85.0~),
+               libkf5iconthemes-dev (>= 5.85.0~),
+               libkf5notifications-dev (>= 5.85.0~),
+               libkf5windowsystem-dev (>= 5.85.0~),
+               libkf5xmlgui-dev (>= 5.85.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libx11-dev,
@@ -23,7 +23,7 @@
                libxtst-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://apps.kde.org/en/kmousetool
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git

## kmousetool 22.08.1

=== debian/changelog ===
kmousetool (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:42:37 +0100

kmousetool (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:52:12 +0100

kmousetool (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:29:49 +0100

kmousetool (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:04:05 +0100

kmousetool (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:02:55 +0100

kmousetool (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:50:29 +0100

kmousetool (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:13:07 +0000

kmousetool (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:19:43 +0000

kmousetool (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:27:34 +0000

kmousetool (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:24:42 +0000

kmousetool (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:09:12 +0000

kmousetool (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:19:55 +0000

kmousetool (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:27:43 +0000

kmousetool (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:42:22 +0000

## kmousetool 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmousetool VERSION "${RELEASE_SERVICE_VERSION}")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.85.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.90.0")
 
 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -21,20 +21,27 @@
 include(ECMInstallIcons)
 include(CheckIncludeFiles)
 include(FeatureSummary)
+include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)
 
 find_package (KF5 ${KF5_MIN_VERSION} REQUIRED
     DBusAddons
-    DocTools
     I18n
     IconThemes
     Notifications
     XmlGui
     WindowSystem
 )
-
-find_package(Phonon4Qt5 REQUIRED NO_MODULE)
+find_package(KF5DocTools ${KF5_MIN_VERSION})
+set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+    "Tools to generate documentation"
+    TYPE OPTIONAL
+)
+find_package(Phonon4Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE)
 
 find_package(X11 REQUIRED)
 if(NOT X11_Xt_FOUND)
@@ -51,9 +58,11 @@
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )
 
-add_subdirectory( doc )
 add_subdirectory( kmousetool )
 ki18n_install(po)
-kdoctools_install(po)
-
+if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+    add_subdirectory(doc)
+endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmousetool (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:55 +0100

kmousetool (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:37:57 +0100

kmousetool (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:46 +0100

kmousetool (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:00 +0100

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libx11-dev,
               libxt-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kmousetool
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git
Rules-Requires-Root: no

Package: kmousetool
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

## kmousetool 23.08.0

=== debian/changelog ===
kmousetool (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:36 +0100

kmousetool (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:36:16 +0100

kmousetool (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:50:12 +0100

kmousetool (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:58:31 +0100

kmousetool (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:40:26 +0000

kmousetool (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:20:29 -0600

kmousetool (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:16:34 +0000

kmousetool (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sat, 31 Dec 2022 17:55:10 +0000

kmousetool (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:11:52 +0000

kmousetool (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:08:10 +0000

kmousetool (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:02 +0000

kmousetool (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:22 +0000

## kmousetool 23.08.1

=== debian/changelog ===
kmousetool (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:01:39 +0100

## kmousetool 23.08.4

=== debian/changelog ===
kmousetool (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:17:47 +0000

kmousetool (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:37:46 +0000

kmousetool (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:33:43 +0100

## kmousetool 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kmousetool VERSION "${RELEASE_SERVICE_VERSION}")

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.92.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(CheckIncludeFiles)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED
    DBusAddons
    I18n
    IconThemes
    Notifications
    XmlGui
    WindowSystem
    CoreAddons
)
find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(Phonon4Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE)

find_package(X11 REQUIRED)
if(NOT X11_Xt_FOUND)
    message(FATAL_ERROR "Cannot find X11 Xt component (libxt header file X11/Intrinsic.h)")
endif(NOT X11_Xt_FOUND)
if(NOT X11_XTest_FOUND)
    message(FATAL_ERROR "Cannot find X11 XTest component (libxcb-xtest header file X11/extensions/XTest.h)")
endif(NOT X11_XTest_FOUND)

ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)

add_subdirectory( kmousetool )
ki18n_install(po)
if(KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kmousetool/CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 target_include_directories(kmousetool PRIVATE ${X11_INCLUDE_DIR})
 
 target_sources(kmousetool PRIVATE
-    mtstroke.cpp
-    kmousetool.cpp
+    mtstroke.cpp mtstroke.h
+    kmousetool.cpp kmousetool.h
     main.cpp
 )
 
@@ -15,16 +15,17 @@
 
 target_compile_definitions(kmousetool PRIVATE -DKMOUSETOOL_VERSION="${kmousetool_VERSION}")
 target_link_libraries(kmousetool
-    KF5::DBusAddons
-    KF5::I18n
-    KF5::IconThemes
-    KF5::Notifications
-    KF5::WindowSystem
-    KF5::XmlGui
-    Qt::Widgets
-    Qt::Gui
-    Qt::Core
-    Phonon::phonon4qt5
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::IconThemes
+    KF${KF_MAJOR_VERSION}::Notifications
+    KF${KF_MAJOR_VERSION}::WindowSystem
+    KF${KF_MAJOR_VERSION}::XmlGui
+    Qt${QT_MAJOR_VERSION}::Widgets
+    Qt${QT_MAJOR_VERSION}::Gui
+    Qt${QT_MAJOR_VERSION}::Core
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    Phonon::phonon4qt${QT_MAJOR_VERSION}
     ${X11_XTest_LIB}
     ${X11_Xext_LIB}
     ${X11_LIBRARIES}

=== debian/changelog ===
kmousetool (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:05:40 +1100

kmousetool (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:08:50 +0000

kmousetool (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:06:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kmousetool
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -23,16 +24,16 @@
                libxtst-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/kmousetool
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmousetool
 Rules-Requires-Root: no
 
 Package: kmousetool
 Architecture: any
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: mouse manipulation tool for the disabled
  KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
  designed to help those with repetitive strain injuries, for whom pressing

## kmousetool 24.08.2

=== debian/changelog ===
kmousetool (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:57:08 -0500

kmousetool (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 01:12:09 -0500

## kmousetool 24.12.0

=== debian/changelog ===
kmousetool (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 23:44:27 +0100

=== debian/control ===
Source: kmousetool
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6statusnotifieritem-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libx11-dev,
               libxt-dev,
               libxtst-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.7.0~),
               qt6-multimedia-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/kmousetool
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git
Rules-Requires-Root: no

Package: kmousetool
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: mouse manipulation tool for the disabled
 KMouseTool clicks the mouse whenever the mouse cursor pauses briefly. It was
 designed to help those with repetitive strain injuries, for whom pressing
 buttons hurts.
 .
 This package is part of the KDE accessibility module.

## kmousetool 24.12.1

=== debian/changelog ===
kmousetool (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:34:42 +0000

kmousetool (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:15:47 +0000

kmousetool (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:10:50 +0000

kmousetool (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:12:20 +0000

kmousetool (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:43:10 +0000

## kmousetool 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# Release service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kmousetool VERSION "${RELEASE_SERVICE_VERSION}")

set(QT_MIN_VERSION "6.7.0")
set(KF_MIN_VERSION "6.3.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(CheckIncludeFiles)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Multimedia
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    DBusAddons
    I18n
    IconThemes
    XmlGui
    WindowSystem
    CoreAddons
    StatusNotifierItem
    Config
    WidgetsAddons
)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(X11 REQUIRED)
if(NOT X11_Xt_FOUND)
    message(FATAL_ERROR "Cannot find X11 Xt component (libxt header file X11/Intrinsic.h)")
endif(NOT X11_Xt_FOUND)
if(NOT X11_XTest_FOUND)
    message(FATAL_ERROR "Cannot find X11 XTest component (libxcb-xtest header file X11/extensions/XTest.h)")
endif(NOT X11_XTest_FOUND)

ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)

add_subdirectory( kmousetool )
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmousetool (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:44:50 +0000

kmousetool (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:19:32 +0000

## kmousetool 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # Release service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kmousetool VERSION "${RELEASE_SERVICE_VERSION}")
@@ -60,7 +60,7 @@
     message(FATAL_ERROR "Cannot find X11 XTest component (libxcb-xtest header file X11/extensions/XTest.h)")
 endif(NOT X11_XTest_FOUND)
 
-ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.5.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.11.0)
 
 add_subdirectory( kmousetool )
 ki18n_install(po)

=== debian/changelog ===
kmousetool (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:33 +0200

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                pkg-kde-tools,
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
-Homepage: https://apps.kde.org/en/kmousetool
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/kmousetool/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmousetool
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmousetool.git
 Rules-Requires-Root: no
